/**
 *
 */
var persistenceBanco;
var callbackGlobal;
var erro;
function SincListaPrecoProduto(ip, banco, empresa, callback) {

	callbackGlobal = callback;

	var select = "LISTAID, PRODUTOID, CODIGO, TIPO, PERCENTUAL".split(", ");
	var from = "dbo.VW_MOBILE_LISTAS_PRECOS_PRODUTOS";
	var where = "EMPRESAID = " + empresa;

	try {

		var servico = new ServicoConsulta(ip, banco, montarSqlSelect(select, from, where), true, function(retorno) {

			var listaPrecoProdutoAdicionar = [];

			for (var i = 0; i < retorno.length; i++) {

				var colunas = retorno[i].split("#c#");

				var novasColunas = new HashTable();

				for (var j = 0; j < colunas.length; j++) {
					if (colunas[j] == null) {
						colunas[j] = "";
					}
					novasColunas.setItem(select[j], colunas[j]);
				}
				var listaPrecoProduto = new ListaPrecoProduto();
				listaPrecoProduto.listaId = novasColunas.getItem("LISTAID");
				listaPrecoProduto.produtoId = novasColunas.getItem("PRODUTOID");
				listaPrecoProduto.codigo = novasColunas.getItem("CODIGO");
				listaPrecoProduto.tipo = novasColunas.getItem("TIPO");
				listaPrecoProduto.percentual = novasColunas.getItem("PERCENTUAL");

				listaPrecoProdutoAdicionar[i] = listaPrecoProduto;
			}
			apagarTodosListaPrecoProduto(listaPrecoProdutoAdicionar);
		});

	} catch(e) {
		e.message = e.message + "\nBanco: " + from;
		throw e;
	}

}

function apagarTodosListaPrecoProduto(listaPrecoProdutoAdicionar) {
	abrirBanco(function(a) {
		persistenceBanco = a;

		persistenceBanco.listaPrecoProduto.clear().done(function(results) {
			adicionarBanco(persistenceBanco, 'listaPrecoProduto', listaPrecoProdutoAdicionar, function(a) {
				callbackGlobal();
			});
		});
	});
}
